

Group {
  entree_flux  = Region[1000] ;
  pastille     = Region[2000] ;
  contact_fixe = Region[3000] ;

  Vol_The = Region[{pastille,contact_fixe}] ;
  Sur_The = Region[{entree_flux}] ;
  Tot_The = Region[{Vol_The,Sur_The}];
}



Function {

  k[ pastille ] =  209 ;
  k[ contact_fixe] =  394 ;

  rhoc  [ pastille ] = 8871 * 261 ;
  rhoc  [ contact_fixe ] = 8920 * 385 ;

  TimeFct[] = ($Time < 0.05) ? 1 : 0 ;

  Flux[] = 1e10 * TimeFct[] ; 
  qVol[] = 0;

  t0 = 0;
  t1 = 0.1;
  dt = 0.0001;

  SaveFct[] = !($TimeStep % 10) ; 

}

Include "Thermal.pro"

eps = 1.e-8;

PostOperation {
        
    { Name map ; NameOfPostProcessing The ;
      Operation {
        Print[ T, OnElementsOf Vol_The , File "map.pos"];
      }
    }    
    
    /* pour 3D ep = 0.0061 ;*/
    /* pour 2D ep = 0 ; */
    ep = 0;
    alt = 0.0115 ;

    { Name cut ; NameOfPostProcessing The ;
      Operation {
        Print[ T, OnCut {{0,0,ep/2}{1,0,ep/2}{0,1,ep/2}} , File "cut1.pos"];
        Print[ T, OnCut {{0,alt,0}{0,alt,1}{1,alt,0}} , File "cut2.pos"];
      }
    }    

    { Name point ; NameOfPostProcessing The ;
      Operation {
	Print[ T, OnPoint {0.044,0.012001,0} , File "Tcont" , Format TimeTable];
      }
    }
  

    { Name point3d ; NameOfPostProcessing The ;
      Operation {
	Print[ T, OnPoint {0.0425,0.011001,ep/2} , File "Tcont" , Format TimeTable];
      }
    }
  

}

 
